Skip to main content
`Ctrl`+`K`

# DMSetLabelOutput

Set if a given label should be saved to a `PetscViewer` in calls to `DMView()`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetLabelOutput(DM dm, const char name[], PetscBool output)

Not Collective

## Input Parameters

- dm - The `DM` object

- name - The label name

- output - `PETSC_TRUE` to save the label to the viewer

## See Also

DM Basics, `DM`, `DMLabel`, `DMGetOutputFlag()`, `DMGetLabelOutput()`, `DMCreateLabel()`, `DMHasLabel()`, `DMGetLabelValue()`, `DMSetLabelValue()`, `DMGetStratumIS()`

## Level

developer

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages